#pragma once

#include <Godot.hpp>
#include <Node.hpp>
#include <arviz_godot/lib/avi/core/EventInvokingSystem.h>

namespace avi::app
{
    class KeyInputEventDispatch : public godot::Node
    {
        GODOT_CLASS(KeyInputEventDispatch, Node)

    public:
        virtual ~KeyInputEventDispatch() = default;

        static void _register_methods();

        void _init();

        void _unhandled_input(godot::InputEvent* event);

        void hookup(avi::core::EventInvokingSystem& events);

    private:
        avi::core::EventInvokingSystem* events = nullptr;
    };
} // namespace avi::app
