#include "Option.h"

template <typename T>
avi::core::Option<T>::Option(std::string key, std::string label) :
    key(std::move(key)), label(std::move(label))
{
}

template <typename T>
const std::string&
avi::core::Option<T>::getKey() const
{
    return key;
}

template <typename T>
const std::string&
avi::core::Option<T>::getLabel() const
{
    return label;
}
