#include <arviz_godot/lib/avi/app/ApplicationSettings.h>
#include <catch2/catch_test_macros.hpp>

TEST_CASE("test application settings", "[ApplicationSettings]")
{

    avi::app::ApplicationSettings settings{avi::core::Settings::getDefaultSettings()};
    REQUIRE_FALSE(settings.getDefaultProfileName().empty());
    REQUIRE_FALSE(settings.getProfileDirectory().empty());
    REQUIRE(settings.getRevisionCycleFrequency() > 0);
    REQUIRE_FALSE(settings.getScreenshotDirectory().empty());
    REQUIRE_FALSE(settings.getStorageIdentifier().empty());
}
