#pragma once

#include <vector>

#include <Godot.hpp>
#include <Mesh.hpp>
#include <Ref.hpp>
#include <Shape.hpp>
#include <SpatialMaterial.hpp>

namespace avi::core
{
    struct Mesh
    {
        godot::Ref<godot::Mesh> mesh{};
        godot::Ref<godot::SpatialMaterial> material{};
    };

    struct Object
    {
        std::vector<Mesh> meshes{};
    };

    struct Shape
    {
        godot::Ref<godot::Shape> shape{};
    };

} // namespace avi::core
