#include "None.h"

#include <arviz_godot/lib/avi/interaction/Manipulator.h>

void
avi::interaction::None::_register_methods()
{
}

void
avi::interaction::None::_init()
{
}

void
avi::interaction::None::setup(avi::interaction::Manipulator& manipulator, godot::Spatial* proxy)
{
    this->manipulator = &manipulator;
    this->proxy = proxy;

    this->hide();
}

void
avi::interaction::None::targetElement(avi::scene::ElementNode& elementNode)
{
    this->elementNode = &elementNode;
    manipulator->setGizmoTransform(this, this->elementNode->getTransform(), false);
}

void
avi::interaction::None::activate()
{
    this->show();
}

void
avi::interaction::None::deactivate()
{
    this->hide();
}
