#pragma once

#include <OS.hpp>
#include <arviz_godot/lib/avi/core/EventSubscriptionSystem.h>
#include <arviz_godot/lib/avi/core/SettingsProvider.h>
#include <arviz_godot/lib/avi/scene/CameraSet.h>

namespace avi::recording
{
    class ImageRecorder
    {
    public:
        ImageRecorder(avi::scene::CameraSet& cameras,
                      avi::core::SettingsProvider& settings,
                      avi::core::EventSubscriptionSystem& events);

        void takeScreenshot();

    private:
        avi::scene::CameraSet& cameras;
        avi::core::SettingsProvider& settings;
    };
} // namespace avi::recording
